## rademux rademux — Demultiplex a RealAudio file |

## Synopsis

    struct              GstRealAudioDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstRealAudioDemux

## Description

Demuxes/parses a RealAudio (.ra) file or stream into compressed audio.

### Example launch line

    1
    gst-launch filesrc location=interview.ra ! rademux ! ffdec_real_288 ! audioconvert ! audioresample ! alsasink

Read a RealAudio file and decode it and output it to the soundcard using the ALSA element. The .ra file is assumed to contain RealAudio version 2.

    1
    gst-launch gnomevfssrc location=http://www.example.org/interview.ra ! rademux ! a52dec ! audioconvert ! audioresample ! alsasink

Stream RealAudio data containing AC3 (dnet) compressed audio and decode it and output it to the soundcard using the ALSA element.

Last reviewed on 2006-10-24 (0.10.5)

## Synopsis

### Element Information

plugin | realmedia
author | Tim-Philipp Müller <tim centricular net>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-pn-realaudio

name | src
direction | source
presence | sometimes
details | ANY

## Details

### struct GstRealAudioDemux

    struct GstRealAudioDemux;